kind: Pod
apiVersion: v1
metadata:
  generateName: windows-machine-config-operator-6974bd7c4-
  annotations:
    olm.skipRange: '>=10.18.0 <10.19.0'
    openshift.io/scc: hostnetwork
    features.operators.openshift.io/token-auth-azure: 'false'
    operators.openshift.io/valid-subscription: '["Red Hat OpenShift support for Windows Containers"]'
    operators.operatorframework.io/builder: operator-sdk-v1.32.0
    features.operators.openshift.io/token-auth-gcp: 'false'
    operators.operatorframework.io/project_layout: go.kubebuilder.io/v3
    certified: 'false'
    olm.targetNamespaces: openshift-windows-machine-config-operator
    operatorframework.io/properties: '{"properties":[{"type":"olm.package","value":{"packageName":"windows-machine-config-operator","version":"10.19.0"}}]}'
    repository: 'https://github.com/openshift/windows-machine-config-operator'
    features.operators.openshift.io/token-auth-aws: 'false'
    support: Red Hat
    operatorframework.io/cluster-monitoring: 'true'
    alm-examples: '[]'
    kubectl.kubernetes.io/default-container: manager
    capabilities: Seamless Upgrades
    features.operators.openshift.io/csi: 'false'
    features.operators.openshift.io/fips-compliant: 'true'
    features.operators.openshift.io/cnf: 'false'
    olm.operatorNamespace: openshift-windows-machine-config-operator
    createdAt: '2025-08-13T17:14:48Z'
    features.operators.openshift.io/cni: 'true'
    categories: OpenShift Optional
    features.operators.openshift.io/proxy-aware: 'true'
    operatorframework.io/suggested-namespace: openshift-windows-machine-config-operator
    description: An operator that enables Windows container workloads on OCP
    olm.operatorGroup: openshift-windows-machine-config-operator-875sw
    features.operators.openshift.io/disconnected: 'true'
    features.operators.openshift.io/tls-profiles: 'false'
  resourceVersion: '50993'
  name: windows-machine-config-operator-6974bd7c4-7qftm
  uid: 17b8c85e-1e13-4e4e-b85c-8c82c6288735
  creationTimestamp: '2025-08-19T15:04:45Z'
  managedFields:
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2025-08-19T15:04:45Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubectl.kubernetes.io/default-container': {}
            'f:features.operators.openshift.io/csi': {}
            'f:features.operators.openshift.io/token-auth-aws': {}
            'f:features.operators.openshift.io/cnf': {}
            'f:olm.operatorNamespace': {}
            'f:features.operators.openshift.io/cni': {}
            'f:createdAt': {}
            'f:features.operators.openshift.io/proxy-aware': {}
            'f:alm-examples': {}
            'f:description': {}
            'f:olm.operatorGroup': {}
            'f:capabilities': {}
            'f:features.operators.openshift.io/fips-compliant': {}
            'f:olm.skipRange': {}
            .: {}
            'f:operators.openshift.io/valid-subscription': {}
            'f:categories': {}
            'f:operatorframework.io/suggested-namespace': {}
            'f:operators.operatorframework.io/project_layout': {}
            'f:features.operators.openshift.io/disconnected': {}
            'f:features.operators.openshift.io/tls-profiles': {}
            'f:certified': {}
            'f:operatorframework.io/properties': {}
            'f:features.operators.openshift.io/token-auth-azure': {}
            'f:operators.operatorframework.io/builder': {}
            'f:features.operators.openshift.io/token-auth-gcp': {}
            'f:support': {}
            'f:olm.targetNamespaces': {}
            'f:operatorframework.io/cluster-monitoring': {}
            'f:repository': {}
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:name': {}
            'f:pod-template-hash': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"adbedfac-52d1-42f3-8e5b-20c10564269b"}': {}
        'f:spec':
          'f:containers':
            'k:{"name":"manager"}':
              'f:image': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources':
                .: {}
                'f:limits':
                  .: {}
                  'f:cpu': {}
                  'f:memory': {}
                'f:requests':
                  .: {}
                  'f:cpu': {}
                  'f:memory': {}
              'f:args': {}
              'f:command': {}
              'f:env':
                .: {}
                'k:{"name":"OPERATOR_CONDITION_NAME"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"OPERATOR_NAME"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"POD_NAME"}':
                  .: {}
                  'f:name': {}
                  'f:valueFrom':
                    .: {}
                    'f:fieldRef': {}
                'k:{"name":"WATCH_NAMESPACE"}':
                  .: {}
                  'f:name': {}
                  'f:valueFrom':
                    .: {}
                    'f:fieldRef': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:ports':
                .: {}
                'k:{"containerPort":9182,"protocol":"TCP"}':
                  .: {}
                  'f:containerPort': {}
                  'f:hostPort': {}
                  'f:name': {}
                  'f:protocol': {}
              'f:name': {}
          'f:dnsPolicy': {}
          'f:tolerations': {}
          'f:priorityClassName': {}
          'f:serviceAccount': {}
          'f:restartPolicy': {}
          'f:schedulerName': {}
          'f:hostNetwork': {}
          'f:nodeSelector': {}
          'f:terminationGracePeriodSeconds': {}
          'f:serviceAccountName': {}
          'f:enableServiceLinks': {}
          'f:securityContext': {}
    - manager: kubelet
      operation: Update
      apiVersion: v1
      time: '2025-08-19T15:05:00Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"ContainersReady"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Initialized"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"PodReadyToStartContainers"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Ready"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
          'f:containerStatuses': {}
          'f:hostIP': {}
          'f:hostIPs': {}
          'f:phase': {}
          'f:podIP': {}
          'f:podIPs':
            .: {}
            'k:{"ip":"10.0.0.3"}':
              .: {}
              'f:ip': {}
          'f:startTime': {}
      subresource: status
  namespace: openshift-windows-machine-config-operator
  ownerReferences:
    - apiVersion: apps/v1
      kind: ReplicaSet
      name: windows-machine-config-operator-6974bd7c4
      uid: adbedfac-52d1-42f3-8e5b-20c10564269b
      controller: true
      blockOwnerDeletion: true
  labels:
    name: windows-machine-config-operator
    pod-template-hash: 6974bd7c4
spec:
  nodeSelector:
    node-role.kubernetes.io/master: ''
  restartPolicy: Always
  serviceAccountName: windows-machine-config-operator
  imagePullSecrets:
    - name: windows-machine-config-operator-dockercfg-pmtml
  priority: 2000000000
  schedulerName: default-scheduler
  hostNetwork: true
  enableServiceLinks: true
  terminationGracePeriodSeconds: 10
  preemptionPolicy: PreemptLowerPriority
  nodeName: ci-ln-cgnxcq2-72292-k47l8-master-0
  securityContext:
    seLinuxOptions:
      level: 's0:c27,c19'
    supplementalGroups:
      - 1000740000
    fsGroup: 1000740000
  containers:
    - resources:
        limits:
          cpu: 200m
          memory: 1Gi
        requests:
          cpu: 20m
          memory: 300Mi
      terminationMessagePath: /dev/termination-log
      name: manager
      command:
        - windows-machine-config-operator
      env:
        - name: WATCH_NAMESPACE
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: 'metadata.annotations[''olm.targetNamespaces'']'
        - name: POD_NAME
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: metadata.name
        - name: OPERATOR_NAME
          value: windows-machine-config-operator
        - name: OPERATOR_CONDITION_NAME
          value: windows-machine-config-operator.v10.19.0
      securityContext:
        capabilities:
          drop:
            - KILL
            - MKNOD
            - SETGID
            - SETUID
        runAsUser: 1000740000
        runAsNonRoot: true
      ports:
        - name: https
          hostPort: 9182
          containerPort: 9182
          protocol: TCP
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - name: kube-api-access-9bwfv
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      image: 'registry.redhat.io/openshift4-wincw/windows-machine-config-rhel9-operator@sha256:c47759b1e4ec297099197b4e5504b58e6fb89b53cc323b488bcd516f0be68c6f'
      args:
        - '--metrics-bind-address=0.0.0.0:9182'
        - $(ARGS)
  serviceAccount: windows-machine-config-operator
  volumes:
    - name: kube-api-access-9bwfv
      projected:
        sources:
          - serviceAccountToken:
              expirationSeconds: 3607
              path: token
          - configMap:
              name: kube-root-ca.crt
              items:
                - key: ca.crt
                  path: ca.crt
          - downwardAPI:
              items:
                - path: namespace
                  fieldRef:
                    apiVersion: v1
                    fieldPath: metadata.namespace
          - configMap:
              name: openshift-service-ca.crt
              items:
                - key: service-ca.crt
                  path: service-ca.crt
        defaultMode: 420
  dnsPolicy: ClusterFirstWithHostNet
  tolerations:
    - key: node-role.kubernetes.io/master
      operator: Exists
      effect: NoSchedule
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 120
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 120
    - key: node.kubernetes.io/memory-pressure
      operator: Exists
      effect: NoSchedule
  priorityClassName: system-cluster-critical
status:
  containerStatuses:
    - restartCount: 0
      started: true
      ready: true
      name: manager
      state:
        running:
          startedAt: '2025-08-19T15:04:59Z'
      volumeMounts:
        - name: kube-api-access-9bwfv
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
          readOnly: true
          recursiveReadOnly: Disabled
      imageID: 'registry.redhat.io/openshift4-wincw/windows-machine-config-rhel9-operator@sha256:c47759b1e4ec297099197b4e5504b58e6fb89b53cc323b488bcd516f0be68c6f'
      image: 'registry.redhat.io/openshift4-wincw/windows-machine-config-rhel9-operator@sha256:c47759b1e4ec297099197b4e5504b58e6fb89b53cc323b488bcd516f0be68c6f'
      lastState: {}
      containerID: 'cri-o://5e4c4c1a001b1502a16dc6d2271d5c6633c2d7c66ff513472986bb4b01472b3e'
  qosClass: Burstable
  hostIPs:
    - ip: 10.0.0.3
  podIPs:
    - ip: 10.0.0.3
  podIP: 10.0.0.3
  hostIP: 10.0.0.3
  startTime: '2025-08-19T15:04:45Z'
  conditions:
    - type: PodReadyToStartContainers
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-08-19T15:05:00Z'
    - type: Initialized
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-08-19T15:04:45Z'
    - type: Ready
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-08-19T15:05:00Z'
    - type: ContainersReady
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-08-19T15:05:00Z'
    - type: PodScheduled
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-08-19T15:04:45Z'
  phase: Running
